Bug 971294 - [RFE] - Dedicated child OIDs and MIB tree required for Red Hat Storage under 'Red Hat Software' OID 2312
[RFE] - Dedicated child OIDs and MIB tree required for Red Hat Storage under ...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: unclassified (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vijay Bellur
storage-qa-internal@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 04:35 EDT by Rejy M Cyriac
Modified: 2015-01-26 22:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 22:08:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GLUSTER-MIB (12.06 KB, text/plain)
2013-08-15 19:58 EDT, Andrew Hatfield
no flags Details

  None (edit)
Description Rejy M Cyriac 2013-06-06 04:35:29 EDT
Description of problem:
Red Hat has an IANA assigned Enterprise OID Number, 2312, with child OIDs for some Red Hat products, such as Red Hat Directory Server, and Red Hat Cluster. The list of Red Hat OIDs is maintained at https://home.corp.redhat.com/wiki/red-hat-oids

The OIDs are primarily used over SNMP, to get information about the state of various components, respond to specific states through traps, and to optionally set states as well. This is very widely used at the Enterprise level for remote monitoring of software, and for responding to specific states of components.

The Red Hat Storage product current appears to have no child OID assigned for it. This is a drawback for the product in the Enterprise level. A dedicated child OID for the Red Hat Storage product, and associated MIB tree under it for components is required.

Version-Release number of selected component (if applicable):


How reproducible:

The list of Red Hat OIDs maintained at https://home.corp.redhat.com/wiki/red-hat-oids shows that Red Hat Storage does not have any dedicated child OID assigned.


Actual results:
There is no dedicated child OID for the Red Hat Storage product under the IANA assigned Enterprise OID Number for Red Hat Software, 2312. And there is no defined associated MIB tree for Red Hat Storage components.

Expected results:
There should be a dedicated child OID for the Red Hat Storage product under the IANA assigned Enterprise OID Number for Red Hat Software, 2312. And there should be defined associated MIB tree for Red Hat Storage components.

Additional info:
Comment 2 Andrew Hatfield 2013-08-15 19:58:15 EDT
Created attachment 787115 [details]
GLUSTER-MIB

Here is a proposed Gluster MIB.

Original can be found at https://github.com/andrewhatfield/glusterfs-snmp-mib/blob/master/mibs/GLUSTER-MIB.txt
Comment 3 Sayan Saha 2015-01-26 22:08:18 EST
We're using Nagios to produce SNMP traps using Nagios's OID. There are currently no plans to add support for a dedicated Gluster MIB.

Note You need to log in before you can comment on or make changes to this bug.